Page MenuHomeFreeBSD

Remove remaining references to VM_ALLOC_NOOBJ
ClosedPublic

Authored by markj on Sep 21 2021, 2:45 AM.

Diff Detail

Repository
R10 FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

markj requested review of this revision.Sep 21 2021, 2:45 AM
sys/vm/vm_page.h
545

I would leave this flag under some name like VM_AVAIL0, mostly because all flags bits are already consumed.

This revision is now accepted and ready to land.Sep 21 2021, 12:51 PM
markj marked an inline comment as done.

Add placeholder flags.

This revision now requires review to proceed.Sep 21 2021, 2:03 PM
sys/vm/vm_page.h
545

0x800 is unused too.

This revision is now accepted and ready to land.Sep 21 2021, 2:19 PM
sys/vm/uma.h
486–487

I think that we should have a different word, not "anonymous", to describe these pages. Most so-called "anonymous memory" consists of pages that belong to VM objects.

sys/vm/uma.h
486–487

Perhaps "unnamed"? Elsewhere we refer to the <object, pindex> tuple of a page as its "identity", so some adjective similar to "anonymous" seems appropriate.

Use "unnamed" instead of "anonoymous"

This revision now requires review to proceed.Oct 1 2021, 10:01 PM
alc added inline comments.
sys/vm/uma.h
486–487

We are not space constrained here, i.e., we are not trying to come up with a short phrase that fits on the same as a #define, so I would argue that we unambiguously spell out what we mean.

This revision is now accepted and ready to land.Oct 17 2021, 6:34 PM

Try to make the uma_reserve_kva() clearer: don't mention VM objects
at all since it doesn't really make sense to mention such details
in a public header. Fix the comment above noobj_alloc().

This revision now requires review to proceed.Oct 17 2021, 8:49 PM
This revision was not accepted when it landed; it landed in state Needs Review.Oct 20 2021, 1:24 AM
This revision was automatically updated to reflect the committed changes.